// Copyright (C) 2015 André Bargull. All rights reserved.
// This code is governed by the BSD license found in the LICENSE file.

/*---
esid: sec-date.prototype.valueof
es6id: 20.3.4.44
description: >
  Date.prototype.valueOf.name is "valueOf".
info: |
  Date.prototype.valueOf ( )

  17 ECMAScript Standard Built-in Objects:
    Every built-in Function object, including constructors, that is not
    identified as an anonymous function has a name property whose value
    is a String.

    Unless otherwise specified, the name property of a built-in Function
    object, if it exists, has the attributes { [[Writable]]: false,
    [[Enumerable]]: false, [[Configurable]]: true }.
includes: [propertyHelper.js]
---*/

assert.sameValue(Date.prototype.valueOf.name, "valueOf");

verifyNotEnumerable(Date.prototype.valueOf, "name");
verifyNotWritable(Date.prototype.valueOf, "name");
verifyConfigurable(Date.prototype.valueOf, "name");
