// Copyright (C) 2015 the V8 project authors. All rights reserved.
// This code is governed by the BSD license found in the LICENSE file.

/*---
es6id: 21.2.5.11
description: RegExp.prototype[Symbol.split] property descriptor
info: |
    ES6 Section 17

    Every other data property described in clauses 18 through 26 and in Annex
    B.2 has the attributes { [[Writable]]: true, [[Enumerable]]: false,
    [[Configurable]]: true } unless otherwise specified.
includes: [propertyHelper.js]
features: [Symbol.split]
---*/

verifyNotEnumerable(RegExp.prototype, Symbol.split);
verifyWritable(RegExp.prototype, Symbol.split);
verifyConfigurable(RegExp.prototype, Symbol.split);
