// Copyright 2009 the Sputnik authors.  All rights reserved.
// This code is governed by the BSD license found in the LICENSE file.

/*---
info: The decodeURIComponent property can't be used as constructor
es5id: 15.1.3.2_A5.7
es6id: 18.2.6.3
esid: sec-decodeuricomponent-encodeduricomponent
description: >
    If property does not implement the internal [[Construct]] method,
    throw a TypeError exception
---*/

//CHECK#1

try {
  new decodeURIComponent();
  $ERROR('#1.1: new decodeURIComponent() throw TypeError. Actual: ' + (new decodeURIComponent()));
} catch (e) {
  if ((e instanceof TypeError) !== true) {
    $ERROR('#1.2: new decodeURIComponent() throw TypeError. Actual: ' + (e));
  }
}
