import QtQuick 2.0

Item {
    property bool success: false
    required property QtObject componentCache

    function reportError(s) { console.warn(s) }

    Component.onCompleted: {
        componentCache.trim()
        if (!componentCache.isTypeLoaded('testReloadComponent.qml')) return reportError('Test component not loaded')
        if (componentCache.isTypeLoaded('VMEExtendVMEComponent.qml')) return reportError('Extend component already loaded')
        if (componentCache.isTypeLoaded('VMEComponent.qml')) return reportError('VME component already loaded')

        var comp = Qt.createComponent('VMEExtendVMEComponent.qml')
        componentCache.trim()
        if (!componentCache.isTypeLoaded('testReloadComponent.qml')) return reportError('Test component not loaded 2')
        if (!componentCache.isTypeLoaded('VMEExtendVMEComponent.qml')) return reportError('Extend component not loaded')
        if (!componentCache.isTypeLoaded('VMEComponent.qml')) return reportError('VME component not loaded')

        var obj = comp.createObject()
        if (!obj) return reportError('Invalid object')
        if (obj.foo != 'bar') return reportError('Invalid object 2')
        if (obj.bar != 'baz') return reportError('Invalid object 3')

        obj.destroy()
        comp.destroy()
        componentCache.trim()
        if (!componentCache.isTypeLoaded('testReloadComponent.qml')) return reportError('Test component not loaded 3')
        if (componentCache.isTypeLoaded('VMEExtendVMEComponent.qml')) return reportError('Extend component not unloaded')
        if (componentCache.isTypeLoaded('VMEComponent.qml')) return reportError('VME component not unloaded')

        comp = Qt.createComponent('VMEExtendVMEComponent.qml')
        componentCache.trim()
        if (!componentCache.isTypeLoaded('testReloadComponent.qml')) return reportError('Test component not loaded 4')
        if (!componentCache.isTypeLoaded('VMEExtendVMEComponent.qml')) return reportError('Extend component not reloaded')
        if (!componentCache.isTypeLoaded('VMEComponent.qml')) return reportError('VME component not reloaded')

        obj = comp.createObject()
        if (!obj) return reportError('Invalid object 4')
        if (obj.foo != 'bar') return reportError('Invalid object 5')
        if (obj.bar != 'baz') return reportError('Invalid object 6')

        obj.destroy()
        comp.destroy()
        componentCache.trim()
        if (!componentCache.isTypeLoaded('testReloadComponent.qml')) return reportError('Test component not loaded 5')
        if (componentCache.isTypeLoaded('VMEExtendVMEComponent.qml')) return reportError('Extend component not unloaded 2')
        if (componentCache.isTypeLoaded('VMEComponent.qml')) return reportError('VME component not unloaded 2')

        success = true
    }
}
